    .label-warning {
    /*background-color: #f0ad4e;*/
    background-color: #FFC300;
    }
    .label {
        display: inline;
        padding: 0.2em 0.6em 0.3em;
        font-size: 85%;
        font-weight: 700;
        line-height: 1;
        /*color: #fff; */
        color:blue;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        border-radius: 0.25em;
    }
    html {
  scroll-behavior: smooth;
}
header {
    position: relative;
}
.homepage_section6{background-color: #ffffff;}
.slider_login{background-color: #f0efe7;}
.slider_login .login_forrooftop .modal-dialog{ margin: 15px 10px 10px 10px;}
.slider_login{ position: relative;}
.slider_login .login_forrooftop.right_blk_overlay{}
.slider_login .row .left_blk, .slider_login .row .right_blk{}
.slider_login .row .right_blk .modal-dialog .modal-content .modal-body .row{background: #ffffff;}
.slider_login .login_forrooftop.right_blk_overlay {
    position: absolute;
    top: 20%;
    right: 10%;
}
.login_forrooftop.right_blk_overlay {
    background: transparent;
    border-radius: none;
}
.login_forrooftop .modal-content {
    min-height: inherit;
    background: #ffffff;border-radius: 10px; 
}

.login_forrooftop .modal-dialog {
    max-width: 700px}
    .login_forrooftop .list-unstyled{
      padding-top: 15px;
    }
.login_forrooftop .list-unstyled a{    color:blue;
    font-size: inherit;
    display: inline;}
    .login_forrooftop .list-unstyled a:hover{color: rgb(7, 7, 219);}
    .login_forrooftop .modal-header{display: block;
    text-align: center;}


.srtp_cmn_hdng{text-align: center;
    text-align: center;
    padding: 10px 10px 20px 15px;
    margin: 0;
    margin-bottom: 0px;
    position: relative;
    text-transform: uppercase;
    font-size: 33px;
    line-height: 45px;
    font-weight: 600;color: #015296;}
.srtp_cmn_hdng:after{content: '';
    position: absolute;
    width: 60px;
    height: 4px;
    background-color: #f28713;;
    left: 47.5%;
    top: 80px;
}
.slider_login .login_forrooftop.right_blk_overlay .modal-body {
    position: relative;
    flex: 1 1 auto;
    padding: 25px;
}
.homepage_section3{ color: #ffffff; background: #015296;}
.homepage_section3 .srtp_cmn_hdng{ color: #ffffff; }
.homepage_section4 h2{font-size: 30px; color: #000000; line-height: 3rem;}
.homepage_section6 h2{font-size: 30px; color: #000000; line-height: 3rem;}
.testmonls{text-align: center;
    cursor: default;
    background: #042e50;
    border-radius: 15px;}
.homepage_section3 .testmonls .carousel-item { padding: 10px 75px}
.homepage_section1 h2{ font-size: 25px; line-height: 3rem;}

section.homepage_section1 {
    background: #f6f6f6;
}
section.homepage_section2{
    background: #ffffff;
}
section.homepage_section2, section.homepage_section5 {
    /* background: #ffffff; */
}
.homepage_section5{background: url(/img/common/home_page/home_img3.jpg) no-repeat center center fixed;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    position: relative;
    padding-bottom: 50px;
    padding-top: 50px;}
.homepage_section3{background: url(/img/common/home_page/home_img2.jpg) no-repeat center center fixed;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    position: relative;
    padding-bottom: 20px;
    padding-top: 15px;}
.homepage_slider_instruction.homepage_section3{background: url(/img/common/home_page/solarpic.jpg) no-repeat center center;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    position: relative;
    padding-bottom: 20px;
    padding-top: 15px;}

  .homepage_section2 h3{ font-size: 2rem!important;}
  .homepage_section2 .rightside {
    background: #f6f6f6;
    color: inherit;
    padding: 20px 20px 20px 20px;
}
.homepage_section5 .rightside{background: #f28713;
    color: #ffffff;
    text-align: center;
    padding: 15px;}
.homepage_section2 .rightside h2, .homepage_section5 .rightside h2  {
    font-size: 22px; color: #000000;    padding-top: 10px; line-height: 3rem;
}
.homepage_section5 .rightside .misscall, .homepage_section5 .rightside .phoneno {
    font-size: 38px; color: #ffffff;text-shadow: 0 0 5px #00000099;padding-top: 0;
}
.homepage_slider_instruction  .testmonls .carousel-item p{ font-size: 20px;line-height: 26px;font-weight: 600;}
a.movetotop {
    position: fixed;
    right: 14px;
    background: #015296;
    font-size: 40px;
    bottom: 30px;
    z-index: 1;
    padding: 10px 24px;
    border-radius: 25px;
    color: #ffffff;outline: none;
}
.homepage_section4 {
    background: #f6f6f6;
}
.homepage_slider_instruction.homepage_section3 .testmonls{
  background: #042e50d9;padding: 0;
}
.homepage_slider_instruction.homepage_section3 .testmonls #home_slider_steps h3{ font-size: 32px!important;color: #f28713;font-weight: 600;}
.homepage_slider_instruction.homepage_section3 .testmonls .srtp_cmn_hdng::after{display: none;}
section.homepage_section3.only_tstymnls {background: #f6f6f6;}
.carousel-control-next, .carousel-control-prev {opacity: 1;}

.openbtn.regtn_btn {
  position: absolute;
    left: 56px;
    top: 10px;
    font-size: 25px;
    background: #f28713;
    padding: 15px 20px;
    border-radius: 15px 25px 25px 15px;    padding-left: 40px;
}
.homepage_slider_instruction .fixed_blk ul li {
    list-style-type: square; padding-bottom: 8px;
}
/* ------------- sidebar login --------------- */
.sidepanel  {
  width: 0;
  position: fixed;
    z-index: 111;
    height: auto;
    top: 8%;
    right: 20px;
    background-color: transparent;
    overflow:hidden;
    transition: 0.5s;
    padding-top: 0;
    ;
}

.sidepanel a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #ffffff;
  display: block;
  transition: 0.3s;
}

.sidepanel a:hover {
  color: #f1f1f1;
}

.sidepanel .closebtn {
  position: absolute;
    top: 20px;
    right: 0px;
    font-size: 24px;
    z-index: 1;
    background: #ff0000;
    padding: 0px 9px;
    border-radius: 25px;
    outline: none;
}

.openbtn {
  font-size: 20px;
    cursor: pointer;
    background-color: #f28713;
    color: white;
    padding: 12px 15px;
    border: none;
    border-radius: 15px 15px 15px 15px;
}

.openbtn:hover {
  background-color:#015296;
}
.openbtn.login_btn {
  position: absolute;
    left: 340px;
    top: 10px;
    font-size: 25px;
    background: #f28713;
    padding: 15px 20px;
    border-radius: 15px 25px 25px 15px;    padding-left: 40px;
    
    cursor: pointer;
}
span.test2 {
    font-size: 25px;
}
section.homepage_section3.only_tstymnls {padding: 10px;}
.homepage_slider_instruction.homepage_section3{padding: 10px;}
.sidepanel.sidepanel2 .progress__bar__container ul li .line1::after, .sidepanel.sidepanel2 .progress__bar__container ul li .line2::after {
    content: '';
    position: absolute;
    width: 1px;
    height: 128px;
    background-color: #ffffff;
    left: 53%;
    top: 50px;
}
.sidepanel.sidepanel2 .progress__bar__container ul li .circle-icon {
    position: relative;
    margin-left: 15px;
    margin-right: 15px;
    margin-bottom: 5px;
}
.sidepanel.sidepanel2 .progress__bar__container ul li{text-align: center; margin-bottom: 82px;}
.sidepanel.sidepanel2 .progress__bar__container ul{padding-left: 0;}
.sidepanel.sidepanel2 .progress__bar__container ul li:after{display: none;}
.sidepanel.sidepanel2 .step_div {height: inherit;
    border-radius: 15px 0px 0px 15px;
    padding: 10px 10px 0px 10px;
    background: #015296;
    }
.sidepanel.sidepanel2 .input__container {
    padding: 0px;
    background: #ffffff;
    border-radius: 5px;
    text-align: center;padding-bottom: 20px;
}
.sidepanel.sidepanel2 .modal-body{padding: 10px 10px 0px 10px;}
.sidepanel.sidepanel2 .right_blk table.table-warning tr td{display: block;text-align: left; border: 0;}
.sidepanel.sidepanel2 .right_blk table.table-warning {
    --bs-table-bg: ##b8cce9;
    --bs-table-striped-bg: #dedede;
    --bs-table-striped-color: #000;
    --bs-table-active-bg: #e6dbb9;
    --bs-table-active-color: #000;
    --bs-table-hover-bg: #ece1be;
    --bs-table-hover-color: #000;
    color: #000;
    border-color: #dedede;
    border: 1px solid #f0f5fd;
}
.sidepanel.sidepanel2 .right_blk .btn-outline-secondary {
    color: #6c757d;
    border-color: #ffffff;
    background: #ffffff;
}

.sidepanel.sidepanel2 .right_blk {
    padding: 0;
    
    background: #ffffff;
    margin-bottom: 15px;
}
.sidepanel.sidepanel2 .right_blk fieldset {
    background: #efefef;
    color: #015296;
    border-radius: 0px 0px 10px 10px;
}
.sidepanel.sidepanel2 .progress__bar__container ul li{position: relative;}
.sidepanel.sidepanel2 .progress__bar__container ul li strong {
    position: absolute;
    left: 0px;
    top: 15px;
}
.sidepanel.sidepanel2 .sub__title__container h2 {
    font-weight: 500;
   
}
/*.sidepanel .modal-body .container1{max-height: 650px;
  overflow: hidden;
    overflow-x:hidden;
    overflow-y: auto;}*/
.sidepanel.sidepanel2 .sub__title__container {text-align: center;}
.sidepanel.sidepanel2 .sub__title__container p {padding-top: 5px;margin-bottom: 0!important;}
.sidepanel.sidepanel2 .right_blk .btn {
    font-size: 16px;
    display: inline;
    padding: 10px 20px;
}
.homepage_slider_instruction .fixed_blk{ text-align: left; font-size: 19px; padding-left: 30px; padding-right: 30px;min-height: 316px;}
.homepage_slider_instruction .testmonls .srtp_cmn_hdng {
    font-size: 30px;
    background: #f28713;
    border-radius: 15px 15px 0px 0px;
    padding: 15px;
    margin-bottom: 10px;
}
.calculator_solar {
    position: absolute;
    left: 590px;
    top: 10px;
    text-align: center;
    font-size: 25px;
    background: #f28713;
    padding: 15px 20px;
    border-radius: 15px 25px 25px 15px;
    
    cursor: pointer;
}
.calculator_solar a { color: #ffffff;}
.calculator_solar span {
  font-size: 25px;
    padding-left: 25px;
}
.calculator_solar:hover {
    background-color: #fa980b;
}
.calculator_solar a:focus{outline: none;}
.calculator_solar a{position: relative;display: block;}
.calculator_solar a img {
  position: absolute;
    width: 94px;
    left: -75px;
    top: -29px;
}
.openbtn.login_btn .test2 img {position: absolute;
    width: 94px;
    left: -60px;
    top: -14px;}
.openbtn.regtn_btn .test2 img {position: absolute;
    width: 94px;
    left: -60px;
    top: -14px;}
.openbtn.login_btn:hover {
    background: #015296;
}

/* ---------------------- */
@media only screen and (min-width: 768px) and (max-width: 1024px) {
  .homepage_slider_instruction.homepage_section3 .testmonls .srtp_cmn_hdng{line-height: 45px;}
  .homepage_slider_instruction.homepage_section3{padding: 10px;}
body {font-size: 18px;line-height: 28px;}
section.homepage_section3.only_tstymnls{padding: 10px;}
.header-container .header-right .float-element {
    padding-right: 15px;
}
section.homepage_section3.only_tstymnls {padding: 10px;}
header .header-container .header-right .region-header-img img {width: 75%;}
.sidepanel.sidepanel2 .sub__title__container h2 {font-size: 22px;}
/*.sidepanel.sidepanel2 .modal-body .container1{max-height: 450px; overflow-x: hidden;overflow-y: auto;}*/
	.sidepanel .modal-body{max-height: 450px; overflow-x: hidden;overflow-y: auto;}
.calculator_solar {left: 535px;} 
.calculator_solar span {padding-top: 10px;}
.calculator_solar a img {
  position: absolute;
    width: 87px;
    left: -65px;
    top: -29px;
}
.openbtn.login_btn {left: 308px;}
.openbtn.regtn_btn .test2 img {position: absolute;
    width: 87px;
    left: -50px;
    top: -14px;}
.openbtn.login_btn .test2 img {
    position: absolute;
    width: 87px;
    left: -50px;
    top: -14px;
}
.calculator_solar span {font-size: 20px;}
span.test2 {font-size: 20px;}
.calculator_solar {bottom: 5%;}
}

@media only screen and (min-width: 1025px) and (max-width: 2500px) {
	/*.sidepanel.sidepanel2 .modal-body .container1{max-height: 450px; overflow-x: hidden;overflow-y: auto;}*/
	.sidepanel .modal-body{max-height: 450px; overflow-x: hidden;overflow-y: auto;}
}
@media only screen and (min-width: 320px) and (max-width: 760px) {
  
  .homepage_slider_instruction.homepage_section3{padding: 10px;}
  .homepage_slider_instruction.homepage_section3 .testmonls .srtp_cmn_hdng{font-size: 27px; line-height: 37px;}
.srtp_cmn_hdng::after{display: none;}
.srtp_cmn_hdng {font-size: 32px;line-height: 42px;}
body {font-size: 18px;line-height: 28px;}
.openbtn.login_btn {position: relative;
    right: 0px;
    bottom: 0px;
    z-index: 11;
    display: block;
    width: 100%;
    left: 0;
    padding: 20px 0px;
    border-radius: 15px 25px 25px 15px;
    margin-bottom: 30px;}

.openbtn.regtn_btn {position: relative;
    right: 0px;
    bottom: 0px;
    z-index: 11;
    display: block;
    width: 100%;
    left: 0;
    padding: 20px 0px;
    border-radius: 15px 25px 25px 15px;
    margin-bottom: 30px;}

section.homepage_section3.only_tstymnls {padding: 10px;}
.sidepanel.sidepanel2 .progress__bar__container ul li {margin-right: 0;}
.sidepanel.sidepanel2 .progress__bar__container ul li strong{position: relative;top: -25px;font-size: 13px;font-weight: 500;}
.sidepanel.sidepanel2 .sub__title__container h2 {font-size: 20px;}
/*.sidepanel.sidepanel2 .modal-body .container1{max-height: 450px; overflow-x: hidden;overflow-y: auto;}*/
	.sidepanel .modal-body{max-height: 450px; overflow-x: hidden;overflow-y: auto;}

.homepage_section3 .testmonls .carousel-item {padding: 10px 25px;}
.calculator_solar {
    position: absolute;
    right: 0;
    font-size: 35px;
    padding: 20px 0px;
    left: 0;
    margin-bottom: 15px;
    bottom: -51px;top: inherit;margin-left: 15px;
    margin-right: 15px;
}
.calculator_solar span {display: inline;font-size: 27px;padding-left: 55px;}
.homepage_slider_instruction.homepage_section3 {padding-top: 15px!important;}
.calculator_solar a img {position: absolute;
    width: 94px;
    left: -12px;
    top: -32px;}
    .openbtn.login_btn .test2 img {left: -15px;}
    .openbtn.regtn_btn .test2 img {left: -15px;}
}

.sidepanel.sidepanel2 .login_forrooftop.right_blk_overlay #mobile_send_otp_div a {
    font-size: 12px;
    color: #000000;
    font-weight: 600;
    margin-top: 15px;
    padding: 13px;
    word-break: break-all;
}
.app_download_link{color: #1337e9!important;
    font-size: 20px!important;
    text-align: center;}
.app_download_link i {
    color: #1337e9!important;
}
.sidepanel.sidepanel2 #register-form #mobile_otp_div a, .sidepanel.sidepanel2 #register-form #mobile_resend_otp_div a, .sidepanel.sidepanel2 #register-form #mobile_update_div a {
font-size: 20px!important;    padding: 5px 0 5px 0!important;
    }

    .four_blocks_statics {
        text-align: center;
    }
    .four_blocks_statics i {
        font-size: 45px;color: #015296;
    }
    .four_blocks_statics h2 {
        font-size: 30px;    color: #f28713;
    }
    .four_blocks_statics p{font-size: 16px;}
    .four_blocks_statics .block1 {border: 1px solid #dedede; background: #f6f6f6;}
    .four_blocks_statics .block2{border: 1px solid #dedede; background: #f6f6f6;}
    .four_blocks_statics .block3{border: 1px solid #dedede;background: #f6f6f6;}
    .four_blocks_statics .block4{border: 1px solid #dedede;background: #f6f6f6;}
    .four_blocks_statics .block1 ,  .four_blocks_statics .block2,  .four_blocks_statics .block3,  .four_blocks_statics .block4{min-height: 207px;}
    .header-container{text-align: center;}
    .header-container .gov-india, .header-container .ministry{font-size: 12px; text-align: left!important;}
    .emblm{height: 95px;}
       
        @media only screen and  (min-width: 768px) and (max-width: 1024px){
.minestry_logo_set ul li{width: inherit!important;}
.minestry_logo_set.common-left ul {
    overflow:visible; 
     border-bottom: none;
}
.calculator_solar {
    bottom: inherit;
}
.srtp_cmn_hdng:after{top: 105px;}
        }
.new_logo img{float:left}
.new_logo .both_misistry_name {
    width: 400px;
    font-weight: 700;
}
.new_logo .both_misistry_name a{font-size:14px}
.both_misistry_name .ministry {
    padding-top: 8px;
}

.homepage_slider_instruction.homepage_section3 .testmonls .carousel-control-next, .homepage_slider_instruction.homepage_section3 .testmonls .carousel-control-prev{z-index:0;}

@media only screen and  (min-width: 320px) and (max-width: 760px){
    .minestry_logo_set.common-left ul {
        overflow:visible; 
         border-bottom: none;
    } 
    .minestry_logo_set ul li{width: inherit!important;}
    .emblm {
        height: 100px;position: inherit;
        
    }
    .header-container .gov-india, .header-container .ministry {
        font-size: 9px;
        text-align: left!important;}

    .header-container .gov-india .responsive_go_hindi{text-align: left;}
    .new_logo .both_misistry_name { width: 100%!important;}
    .header-container .gov-india, .header-container .ministry {line-height: 21px;}
    .four_content .responsive_go_hindi, .four_content .responsive_minis_hi{border:none;}
    
}
.margin_btm15{margin-bottom: 15px!important}


@media screen and (min-width: 768px) and (max-width: 1024px){
    .sidepanel.sidepanel2 .step_div {min-height: 530px;}
    .sidepanel.sidepanel2 .progress__bar__container ul li {
    position: relative;
    width: 100%;
    padding: 0;
    margin-right: 0;
    text-align: center;
    padding-left: 60px;}
    
}

@media screen and (min-width: 320px) and (max-width: 767px){
    ul#progressbar{display: -webkit-box!important;
    display: -ms-flexbox!important;
    display: flex!important;
    -webkit-box-pack: center!important;
    -ms-flex-pack: center!important;
    justify-content: center!important;}
    .sidepanel.sidepanel2 .progress__bar__container ul li .line1::after, .sidepanel.sidepanel2 .progress__bar__container ul li .line2::after {
    content: '';
    position: absolute;
    width: 41px;
    height: 1px;
    background-color: #ffffff;
    left: 100%;
    top: 25px;}
    .sidepanel.sidepanel2 .step_div {border-radius: 15px 15px 0px 0px!important;}
    
}


@media only screen  and (min-width : 990px) and (max-width : 1199px){
    .homepage_section2 .rightside { padding: 5px 20px 20px 20px; }
    .homepage_section2 .rightside{width: 100%; display: block;}
    .homepage_section2 .col-md-6.col-sm-12.col-xl-4.img-fluid{width: 100%; display: block; text-align: center;}
    .homepage_section2 .col-md-6.col-sm-12.col-xl-4.img-fluid img{ height: 209px;}
    .homepage_section1 .img-fluid.order-lg-2.order-1{ text-align: center;}
    .srtp_cmn_hdng:after {display: none;}
    .navbar-dark .navbar-nav .nav-link {font-size: 12px;}
    .homepage_section1 .img-fluid.order-lg-2.order-1 img{ height: 500px;}
    .navbar ul{padding-left: 0;}
    .logo img {height: 75px!important; width: inherit!important;}
    .header-container .logo .national_emblem.g20_logo{width: 125px!important;}
    .new_logo img {
        float: left;
        height: 75px!important;
    }
 /*   .region.region-header-img img{height: 75px;}
    .region.region-header-img a img{height: 65px;} */
}
@media only screen  and (min-width : 1200px) and (max-width : 1824px) {
    .srtp_cmn_hdng:after {display: none;}

    .logo img {height: 75px;}
    .region.region-header-img img{height: 75px;}
    .navbar-dark .navbar-nav .nav-link {font-size: 12px;}
    header .header-nav nav .nav-item ul li a {font-size: 12px;}
   /* .region.region-header-img a img{height: 65px;} */
    .homepage_section1 .img-fluid.order-lg-2.order-1{padding-top: 60px;}
    .homepage_section2 .rightside{width: 100%; display: block;}
    .homepage_section2 .col-md-6.col-sm-12.col-xl-4.img-fluid{width: 100%; display: block; text-align: center;}
    .homepage_section2 .col-md-6.col-sm-12.col-xl-4.img-fluid img{ height: 209px;}
    .navbar ul{padding-left: 0;}
    .testmonls.pt-5.pb-5{padding-bottom: 0!important; padding-top: 15px!important;}
    .homepage_section3 .srtp_cmn_hdng {padding-bottom: 0; }
}
.homepage_section2 .row.pt-sm-5.pb-sm-5.pt-0.pb-0 .col-lg-7 .col-md-12{min-height: 414px;}

@media screen and (min-width: 760px) and (max-width: 935px){
    header .header-container .logo {width: 50%!important;}
    
}